BW-FB(1)

NAME
bw-fb - display a black and white bw image on a framebuffer

SYNOPSIS
bw-fb [-ahiczRGB] [-F framebuffer] [-s squarefilesize] [-w file_width] [-n file_height] [-S squarescrsize] [-W scr_width] [-N scr_height] [-x file_xoff] [-y file_yoff] [-X scr_xoff] [-Y src_yoff] [infile.bw]

DESCRIPTION
Bw-fb reads a bw(5) format file from standard input if an input file is not given, and displays the image on the currently selected framebuffer. The environment variable FB_FILE specifies the current framebuffer, see brlcad(1). Alternatively, the framebuffer may be explicitly specified by using the -F flag.

By default, the bw file, and the requested framebuffer size, is assumed to be 512x512 pixels. Specifying the -a flag causes the program to attempt to autosize. A table of common image sizes is consulted, and if any match the size of the input file, then the width and height values associated with that size will be used. Specifying the -h flag changes both of these sizes to 1024x1024.

If the -i flag is specified, the image is output from top to bottom. Customarily, bw files are stored bottom to top, so this inverts the image.

The -c flag causes the screen to be cleared before the image is displayed. The default behavior is to overwrite the current image with the new image without clearing the screen.

The -z flag will zoom and center on the image being displayed to make it fill the display area.

The flags -R, -G, and -B select individual color planes into which the image will be loaded. One or more can be given. By default all three colors are written with the bw pixel value.

The -w file_width flag specifies the width of each scanline in the input file, in pixels. -W scr_width does the same for the display device.

The -n file_height and -N scr_height flags specify the height in scanlines of the input file or display device respectively.

-s squarefilesize and -S squarescrsize set both the height and width to the size given.

-x file_xoff, -y file_yoff, -X scr_xoff, and -Y scr_yoff will offset into the file or onto the screen by the given amounts. The coordinate system for these offsets is first quadrant, with the origin at the lower left corner of the image.

FORMAT
A bw(5) file contains sequences of pixels. Each pixel is stored as one unsigned char The first pixel in a bw file is the lower left corner of the image. The pixels proceed from left-to-right across each scanline, with scanlines being written from the bottom to the top of the image.

SEE ALSO
fb-bw(1), bw(5)

BUG REPORTS
Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.